/* $Id: configform.h,v 1.10 2004/01/02 04:05:36 fesnel Exp $ */
/*******************************************************************************
 *   This program is part of the XFMail email client.                          *
 *                                                                             *
 *   Copyright : (C) 1995-1998 Gennady B. Sorokopud (gena@NetVision.net.il)    *
 *               (C) 1995 Ugen. J. S. Antsilevich (ugen@latte.worldbank.org)   *
 *               (C) 1998-2004 by the Archimedes Project                       *
 *                   http://sourceforge.net/projects/archimedes                *
 *                                                                             *
 *             --------------------------------------------                    *
 *                                                                             *
 *   This program is free software; you can redistribute it and/or modify      *
 *   it under the terms of the GNU General Public License as published by      *
 *   the Free Software Foundation; either version 2 of the License, or         *
 *   (at your option) any later version.                                       *
 *                                                                             *
 *   This program is distributed in the hope that it will be useful,           *
 *   but WITHOUT ANY WARRANTY, without even the implied warranty of            *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *   GNU General Public License for more details.                              *
 *                                                                             *
 *   You should have received a copy of the GNU General Public License         *
 *   along with this program; if not, write to the Free Software               *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston MA 02111-1307, USA.  *
 *                                                                             *
 *   Additional Permission granted:                                            *
 *                                                                             *
 *   This program is designed to use the XForms library, so we consider        *
 *   permission to link to that non-GPL-compatible library is implicit.        *
 *   However, in case this is not considered so, we explicitly state:          *
 *                                                                             *
 *   "As a special exception, the Archimedes Project, with the permission      *
 *    of all earlier copyright holders, formally gives permission to link      *
 *    this program with the XForms library, and distribute the resulting       *
 *    executable without the source code for XForms in the source              *
 *    distribution".                                                           *
 *                                                                             *
 ******************************************************************************/


#ifndef CONFIGFORM_H
	#define CONFIGFORM_H

	#include "dialogs.h"

extern void xfm_config(long);
extern void xfm_config_new(long);
extern void inc_conf(int,FD_config_receive*);
extern void handle_inc_input(FD_config_receive*);
extern void misc_conf(int,FD_config_misc*);
extern void handle_misc_input(FD_config_misc*);
extern void sort_conf(int,FD_config_display*);
extern void handle_sort_input(FD_config_display*);
extern void view_conf(int,FD_config_viewedit*);
extern void handle_view_input(FD_config_viewedit*);
extern void edit_conf(int,FD_config_viewedit*);
extern void handle_edit_input(FD_config_viewedit*);
extern void smtp_conf(int,FD_config_send*);
extern void handle_smtp_input(FD_config_send*);
extern void faces_conf(int,FD_config_faces*);
extern void handle_faces_input(FD_config_faces*);
extern void timers_conf(int,FD_config_timers*);
extern void handle_timers_input(FD_config_timers*);
extern void mime_conf(FD_config_mime*);
extern void reply_conf(int,FD_config_reply*);
extern void handle_reply_input(FD_config_reply*);
extern void int_conf(int,FD_config_intern*);
extern void handle_intern_input(FD_config_intern*);
extern void pgp_conf(int,FD_config_pgp*);
extern void handle_pgp_input(FD_config_pgp*);
extern void charset_conf(int,FD_config_intern*);
extern void handle_charsets_input(FD_config_intern*);
extern void spell_conf(int,FD_config_spell*);
extern void handle_spell_input(FD_config_spell*);
extern void header_conf(int,FD_config_header*);
extern void handle_header_input(FD_config_header*);
extern void news_conf(int,FD_config_news*);
extern void handle_news_input(FD_config_news*);
#ifdef WITH_LDAP
extern void ldap_conf(int,FD_config_ldap *);
extern void handle_ldap_input(FD_config_ldap*);
#endif

#endif
